Package org.jboss.logmanager.errormanager

# Class OnlyOnceErrorManager

java.lang.Object
java.util.logging.ErrorManager
org.jboss.logmanager.errormanager.OnlyOnceErrorManager

public final class OnlyOnceErrorManager extends ErrorManager
An error manager which runs only once and writes a complete formatted error to `System.err`. Caches an early `System.err` in case it is replaced.

## Field Summary

### Fields inherited from class java.util.logging.ErrorManager

`CLOSE_FAILURE, FLUSH_FAILURE, FORMAT_FAILURE, GENERIC_FAILURE, OPEN_FAILURE, WRITE_FAILURE`

## Constructor Summary

Constructors
Constructor
Description
`OnlyOnceErrorManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(String msg, Exception ex, int code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OnlyOnceErrorManager

public OnlyOnceErrorManager()

## Method Details

### error

public void error(String msg, Exception ex, int code)

Overrides:
  `error` in class `ErrorManager`